<template>
  <div>
    <Heading title="Catalyst" :underline="false" :trailingIcon="true" />
    <p>On-demand test environments that fit your needs</p>
    <button @click="signIn">Sign in with Wikitech account</button>
    <a @click="createAccount">Create Wikimedia Developer account</a>
    <a @click="requestAccess">Request Toolforge access</a>
  </div>
</template>

<script>

import Heading from "./Heading.vue";

export default {
  name: "Home",
  components: {Heading},
  methods: {
    signIn() {
      this.$router.push('/environments');
    },
    createAccount() {
      console.log('createAccount');
    },
    requestAccess() {
      console.log('requestAccess');
    },
  }
};
</script>
